### Function

# GLib Array prepend_vals

#### Declaration

    GArray*
    g_array_prepend_vals (
      GArray* array,
      gconstpointer data,
      guint len
    )

#### Description

Adds `len` elements onto the start of the array.

`data` may be `NULL` if (and only if) `len` is zero. If `len` is zero, this function is a no-op.

This operation is slower than `g_array_append_vals()` since the existing elements in the array have to be moved to make space for the new elements.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GArray`.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  A pointer to the elements to prepend to the start of the array.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`len`

  Type: `guint`

  The number of elements to prepend, which may be zero.

#### Return value

Type: An array of `gpointer`

The `GArray`.

The data is owned by the called function.